﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	 import flash.geom.Matrix;
    import flash.geom.Transform;

	public class Damier extends Sprite
	{
		private var col:Number = 30;
		private var line:Number = 30;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 10;
		private var diametre:Number = 150;
		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x = 0;
			grid.y = 0;
			
			
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			
			
			points = new Array();
			for (var i:Number = 0; i<col; i++)
			{
				for (var j:Number = 0; j<line; j++)
				{
					dist = Math.sqrt(Math.pow((j*50-mouseX+grid.x),2) + Math.pow(i*50-mouseY+grid.y,2));
					if (dist < diametre && dist >= 1)
					{
						distx= ((j*150)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*150)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*+amplitude/distx,"y":i*mouseX*(-1)+amplitude/disty});

					}
					else
					{
						points.push({"x":j*50,"y":i*50});
					}
				}
			}
			grid.graphics.clear();
			grid.graphics.lineStyle(1.5,0xffffff);
			for (var k:Number=0; k<points.length; k++)
			{
				grid.graphics.beginFill(0xffffff);
				grid.graphics.drawCircle(points[k].x,points[k].y,4);
				grid.graphics.endFill();
				if ((k+1)%col != 0)
				{
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+1].x,points[k+1].y);
				}
				if (k + col < col * line)
				{
					grid.graphics.moveTo(points[k+col].x,points[k+col].y);
					grid.graphics.lineTo(points[k].x,points[k].y);
				}
				
				
			}
		}
	}
}